Вход | Регистрация


1С:Предприятие :: 1С:Предприятие 8 общая

Перевести клиент-серверную базу 50Гб в файловую или 2 платформы 8.3 разных версий на linux

Перевести клиент-серверную базу 50Гб в файловую или 2 платформы 8.3 разных версий на linux
Я
   letarch
 
28.12.18 - 15:08
Вобщем, под новый год понадобилось обновить базу в связи с долгожданным 20% НДС. Но тут засада, платформа старовата, а частями нужная база не обновляется.
Вот собственно и вопрос, есть ли вариант запустить две разных версии одной ветки платформы (8.3) на одном linux хосте?
Или перевести базу 50гб в файловый вариант "на радость" примерно 10 пользователям?
Какие есть идеи?
 
 
   ДенисЧ
 
1 - 28.12.18 - 15:14
А почему не обновляется?
   Фрэнки
 
2 - 28.12.18 - 15:25
идей никаких

откуда им взяться, если нет никакой существенной инфы
   Cyberhawk
 
3 - 28.12.18 - 15:26
Есть. Я не против. Сказал ранее.
   Фрэнки
 
4 - 28.12.18 - 15:28
разве что некий намек на 10 пользователей

пора купить серверный ключ. Но делать это нужно было не 28 декабря, а раньше, т.к. за один день серверный ключ трудно купить, а послезавтра начинаются 10 дней выходных
   letarch
 
5 - 28.12.18 - 15:40
(1) Там что-то про отчётность формы. Цитата программиста: "теоретически можно, а на практике может не получиться. Данные берутся из базы, если есть какие-то изменения, дополнения помимо отчетов, соответственно не выйдет"
(4) Это есть. И, повторюсь, у нас уже работает в клиент-серверном варианте.
   letarch
 
6 - 28.12.18 - 15:42
(3) не понял, где Вы сказали? Дайте пруф
   tabarigen
 
7 - 28.12.18 - 15:55
Дружище мой тебе совет, иди на НГ отдыхай. А базы будешь обновлять уже после в новом году. Перебить в доках за  месяц НДС, не так сложно. Напортачить перед НГ себе на опу приключений 5 сек.
   МимохожийОднако
 
8 - 28.12.18 - 16:16
(5) Если "что-то" не работает, надо что-то сделать
   Cyberhawk
 
9 - 28.12.18 - 16:30
(6) Сообщение само себе пруф
   timurhv
 
10 - 28.12.18 - 16:33
(0) Не очень понятно, две службы сервера 1С не могут обращаться одновременно к одной базе - упадет соединение.

Как запускать несколько 8.3 написано на ИТС:
https://its.1c.ru/db/v8313doc#bookmark:cs:TI000000134

Сам запускал 8.3.9 (надо для БГУ 1.0) и одновременно 8.3.13 (для ЗиК ГУ 3.1) на одном сервере - все нормально.

Единственное, вам лучше потренироваться на виртуалке под Linux.
 
 Рекламное место пустует
   letarch
 
11 - 28.12.18 - 22:22
(10) там же пишут что, Под ОС Linux возможна совместная работа серверов «1С:Предприятия» только разных версий. 8.3 и 8.2 не проблема. Но нужно две 8.3
   letarch
 
12 - 28.12.18 - 22:23
(9) Ну у Вас слишком умные сообщения, чтобы мне понять, видимо
   letarch
 
13 - 28.12.18 - 22:23
(8) ого, начинает логика появляться
   letarch
 
14 - 28.12.18 - 22:23
(7) лайк :-)
   Cyberhawk
 
15 - 30.12.18 - 11:03
(11) "нужно две 8.3" // Не проблема, просто придется чуть больше манипуляций проделать, нежели чтение ИТС
   timurhv
 
16 - 31.12.18 - 20:22
(11) Вы не поверите, но 8.3.13.1644 и 8.3.13.1513 - это разные версии. Под Linux нельзя запускать две службы 8.3.13.1644, под Windows - можно.
   timurhv
 
17 - 31.12.18 - 20:29
(16) Ссори: 8.3.13 и 8.3.12 - разные версии.
   letarch
 
18 - 09.01.19 - 19:40
(15) может есть мануал?
   letarch
 
19 - 09.01.19 - 19:40
(17) вот у нас как раз такая ситуация, нужно одновременно 8.3.10 и 8.3.13
   Cyberhawk
 
20 - 09.01.19 - 21:07
(18) На партнерке собирать по постам разве что
   letarch
 
21 - 11.01.19 - 09:57
(20) вобщем, в итоге запустил две версии 8.3(более старая на портах 2540итд, более новая на стандартных 1540итд), но теперь столкнулся с другим нюансом.
Как указать клиенту к какому серверу он должен подключаться? Сейчас возникает ошибка несоответствия версий, так как клиент с более старой версией почему-то цепляется к серверу новой версии.
   ДенисЧ
 
22 - 11.01.19 - 09:59
(21) Дык порт-то серверный в описании базы укажи
   letarch
 
23 - 11.01.19 - 11:16
(22) ага, спасибо, тоже нашёл уже на инфостарте, вроде пока всё работает, сейчас тестируем
   ДенисЧ
 
24 - 11.01.19 - 11:17
(23) А зачем на старте искать? Документацию прочитать лень было? )))
   letarch
 
25 - 11.01.19 - 16:59
(24) Можно, но инфостарт в первых результатах поиска. Накидал небольшой мануал. http://catalog.mista.ru/public/978471/
   CepeLLlka
 
26 - 11.01.19 - 17:07
(25)  Ошибка! Публикация неактивна или находится на модерации.
   letarch
 
27 - 11.01.19 - 18:05
(26) ага, просто так и не опубликуешь :-( Наверное, думают, я там матом пишу :-))))
   letarch
 
28 - 11.01.19 - 19:32
Пока дождёшься публикации, проще на форум кинуть https://forum.infostart.ru/forum86/topic207579/
   letarch
 
29 - 11.01.19 - 19:46
(20) Скоро ответите, что надо было сделать по другому? Очень нужен конструктив
   Cyberhawk
 
30 - 11.01.19 - 20:45
(29) С чего ты взял, что у меня есть какой-то готовый ответ?
   letarch
 
31 - 11.01.19 - 22:22
(30) ну всегда был, а сейчас даже никаких замечаний...
   Cyberhawk
 
32 - 12.01.19 - 08:48
(31) Замечаний по поводу чего?
   dmrjan
 
33 - 12.01.19 - 09:49
В файловую скорее всего не выйдет. Будут проблемы с таблицами более 4гб. Все-таки объем в 50Гб.
 
 
   letarch
 
34 - 12.01.19 - 11:43
   Cyberhawk
 
35 - 12.01.19 - 12:08
(34) Так и кому охота разбираться с твоими демонами?
   letarch
 
36 - 12.01.19 - 15:56
(35) не демонами, а службами
   Cyberhawk
 
37 - 12.01.19 - 16:02
(36) Ага, то-то у тебя куча суффиксов "d" в командах
   letarch
 
38 - 12.01.19 - 16:43
(37) это всё Торвальдс и Ко http://man7.org/linux/man-pages/man3/daemon.3.html
   Cyberhawk
 
39 - 12.01.19 - 16:51
(38) Не ясно, зачем ты мне это пишешь
   ДенисЧ
 
40 - 12.01.19 - 16:53
А вы не знали, что линух писали сатанисты, а виндовс - христиане?
В линухе везде демоны и зомби, а в виндовс - иконы и службы...
   Фрэнки
 
Модератор
41 - 12.01.19 - 20:10
(40) будешь флудить дальше на свою любимую тему - забаню к хренам!
   Фрэнки
 
42 - 12.01.19 - 20:11
(40) уже и не поймешь - сарказм часто неуместен
   Mikhail Volkov
 
43 - 15.01.19 - 12:28
(0) Встала аналогичная проблема, но на Windows. Как иметь две клиент-серверные платформы, знаю: разнести по разным диапазонам портов. Например, 8.2 была на диапазоне 16хх. Но в платформе 8.2 отпала, все базы работают 8.3.10 в режиме совместимости. Но КА2.4.6.189 требует не ниже 8.3.12. Как ее установить, чтобы только КА2.4.6.189 на ней запускалась (пусть в файловом варианте), остальные под 8.3.10 в режиме совместимости?
   arsik
 
44 - 15.01.19 - 12:43
   Mikhail Volkov
 
45 - 15.01.19 - 13:03
(44) Файловые копии так и запускаются под 8.2. Но нужно запускать файловую 8.3.12. А серверные под 8.3.10 - ниже версией?
   Йохохо
 
46 - 15.01.19 - 13:08
(45) укажи больше циферок в (44), с запускатором .12 это работает
   Mikhail Volkov
 
47 - 15.01.19 - 13:37
(46) А 8.3.10 всем пользователям придется указывать?
   Фрэнки
 
48 - 15.01.19 - 14:53
(47) есть способ составления одного общего файла с перечнем всех настроек запуска баз и на компе пользователя ссылаться на этот общий файл. Так избегают путаницы на большинстве компов, что и как запускается, на каком источнике, на какой версии.
   Mikhail Volkov
 
49 - 15.01.19 - 16:15
(48) Что за способ?
 
 Рекламное место пустует
   Фрэнки
 
50 - 15.01.19 - 16:38
(49) В Пускаче есть Настройка. Там по середке Адреса интернет-сервисов и списки общих информационных баз
   Mikhail Volkov
 
51 - 15.01.19 - 17:33
(50) "Список общих баз (в локальной сети)" нужно указать какой-то текстовый файл? Какой, пример можно?
   unregistered
 
52 - 15.01.19 - 17:46
(51)> пример можно?

Чтобы состряпать пример, встань на название любой информационной базы в списке, нажми правую кнопку мыши и выбери в контекстном меню пункт "Сохранить ссылку в файл". Получившийся файл - это и есть искомый тобою пример, содержащий ссылку на одну базу. В одном файле может быть сколько угодно ссылок на сколько угодно баз.
   Mikhail Volkov
 
53 - 15.01.19 - 17:59
(52) Создался СписокБаз.v8i В нем последний параметр: Version=8.3 - можно конкретно писать 8.3.10 или 8.3.12?
   Mikhail Volkov
 
54 - 15.01.19 - 18:13
+ Этот файл *.v8i будет действовать для всех пользователей? Комп один - сервер терминалов.
   unregistered
 
55 - 15.01.19 - 18:17
(53)(54) У тебя документацию кто-то отнял? Или на ИТС забанили?

>> Этот файл *.v8i будет действовать для всех пользователей?

Для тех, кто подключил себе базу с использованием этого файла. По-моему, это логично, очевидно, и для этого документацию смотреть не нужно.

>> Version=8.3 - можно конкретно писать 8.3.10 или 8.3.12?

Да, можно. Это ты смог бы самостоятельно попробовать, указав в параметрах подключения какой-либо базы конкретную версию платформы, а затес создав файл со ссылкой на подключение этой базы. В файле в этом параметре нарисовалась бы указанная тобою версия платформы.
   unregistered
 
56 - 15.01.19 - 18:22
ОФФ. Какой только *уйнёй люди готовы заниматься - лишь бы не наводить порядок и не избавляться от зоопарка из различных версий платформы.
   timurhv
 
57 - 15.01.19 - 18:38
(56) Они в 1С сидят:
------------------------
С версии 1.0.46 конфигурацию "Бухгалтерия государственного
учреждения", редакция 1.0, можно использовать с версией
системы 1С:Предприятие не ниже 8.3.8.2197 и не выше 8.3.9.
------------------------
А все из-за того, что ленились добавлять сортировку субконто при разработке.
   unregistered
 
58 - 15.01.19 - 18:42
(57) Допускаю существование такого эксклюзива. Но что-то мне подсказывает, в этой ветке жертв данного примера нет.

Кстати говоря, об ограничении сверху ("не выше") впервые слышу. Спасибо за пример. Буду теперь знать, что такое тоже бывает.
   Mikhail Volkov
 
59 - 15.01.19 - 19:28
(58) Рарус-1С не гарантируют работу Альфа-Авто на платформе выше 8.3.10. Да и пользователи считают их нерабочими, в них отсутствует поиск по первым введенным символам. При переходе на 8.3.10 были проблемы, например, одна из них Увеличить шрифт Альфа-Авто
   letarch
 
60 - 15.01.19 - 21:14
(56) Не от хорошей жизни приходится оставлять старые версии платформы в рабочем состоянии. У нас, к примеру, после недавней попытки перейти на 8.3.13.1513, только недобрые воспоминания. Эта платформа на linux так и не завелась нормально. Через сутки стабильно зависала, саппорт 1с говорит, что до сих пор не устранили эту проблему. И судя по их багтрекеру там особо нет времени\желания\возможностей этим заниматься. Так что оставлять только один новый релиз смысла мало.
   unregistered
 
61 - 15.01.19 - 21:26
(59)(60) Есть текущая актуальная версия платформы. На сегодняшний день это 8.3.12.хххх.
Почти во всех текущих версиях конфигурациях именно она указана, как минимально требуемая.
К чему эти жалобы на 8.3.10 и 8.3.13?
Бежать впереди паровоза и переходить на 8.3.13 явно преждевременно и в этом совершенно нет какой-то острой необходимости. Оставаться на 8.3.10 тоже смысла особого нет.

Я не то чтобы защищаю 1С. Глючность платформы с каждым новым релизом растёт просто неприличными темпами.

Но действительно серьезных и веских причин держать из-за этого зоопарк из разных версий платформы в продуктивной эксплуатации я не вижу. За быть может крайне редким исключением типа (57).
Не говоря уже о том, что для файловых баз это просто рисковано, когда кто-нибудь может запустить случайно базу не под той версией клиента.
   ansh15
 
62 - 15.01.19 - 21:53
(57) На 8.3.11.3034 работает с февраля прошлого года. За все время никаких жалоб от бухгалтеров не поступало. Сейчас сделал им копии БГУ и ЗКГУ 3.1.8 на 8.3.13.1690 и PostgreSQL 10.5-9.1C, пусть посмотрят. Если ничего серьезного не обнаружится, буду переводить.
   letarch
 
63 - 15.01.19 - 22:29
(61) а как Вы определили, что 8.3.12.ЧЧЧЧ актуальная? По тому что, эта версия указывается в требованиях при установке различных конфигураций?
   Mikhail Volkov
 
64 - 16.01.19 - 05:40
(61) Просьба уточнить:
последние цифры релиза 8.3.12.хххх,
есть ли поиск по первым введенным символам - основной режим для конфигураций 8.2.
   Mikhail Volkov
 
65 - 16.01.19 - 10:13
Вроде поиск по первым введенным символам исправлять не собираются Ошибки в 8.3.12.1714
   timurhv
 
66 - 16.01.19 - 10:40
(62) были косяки именно со слоном в документах перехода на приказ 64н. Там происходил перебор в цикле субконто счета и записывались данные. В итоге аналитика вся разъезжалась. Условно в субконто контрагенты писались договора, а в договора - контрагенты. Срач на партнёрке был знатный, помогал перевод базы на файловый режим работы, заполнение документов и загрузка обратно в клиент-сервер.
Такие я уже встречал по забалансовые счетам, но не придал особого значения.


Список тем форума
Рекламное место пустует  Рекламное место пустует
ВНИМАНИЕ! Если вы потеряли окно ввода сообщения, нажмите Ctrl-F5 или Ctrl-R или кнопку "Обновить" в браузере.
Рекламное место пустует